Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/Properties/AssemblyInfo.cs.frame	(revision 6702)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/Properties/AssemblyInfo.cs.frame	(revision 6703)
@@ -1,3 +1,24 @@
-﻿using System.Reflection;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive 3.3.dll.config
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive 3.3.dll.config	(revision 6703)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive 3.3.dll.config	(revision 6703)
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<configuration>
+  <configSections>
+  </configSections>
+  <connectionStrings>
+  </connectionStrings>
+  <system.serviceModel>
+  </system.serviceModel>
+  <runtime>
+    <gcServer enabled="true"/>
+  </runtime>
+</configuration>
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive 3.4.sln
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive 3.4.sln	(revision 6702)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive 3.4.sln	(revision 6703)
@@ -94,4 +94,6 @@
 EndProject
 Project("{54435603-DBB4-11D2-8724-00A0C9A8B90C}") = "HeuristicLab.Clients.Hive.Slave.TrayIconSetup-3.3", "HeuristicLab.Clients.Hive.Slave.TrayIconSetup\HeuristicLab.Clients.Hive.Slave.TrayIconSetup.vdproj", "{E2171917-7CD6-4C03-BA98-7DF4B5FA42D6}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave.App-3.3", "HeuristicLab.Clients.Hive.Slave.App\3.3\HeuristicLab.Clients.Hive.Slave.App-3.3.csproj", "{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}"
 EndProject
 Global
@@ -257,4 +259,5 @@
 		{28711372-0255-4883-9BED-81E150D73880}.Debug|Any CPU.Build.0 = Debug
 		{28711372-0255-4883-9BED-81E150D73880}.Debug|Mixed Platforms.ActiveCfg = Debug
+		{28711372-0255-4883-9BED-81E150D73880}.Debug|Mixed Platforms.Build.0 = Debug
 		{28711372-0255-4883-9BED-81E150D73880}.Debug|x64.ActiveCfg = Debug
 		{28711372-0255-4883-9BED-81E150D73880}.Debug|x64.Build.0 = Debug
@@ -430,4 +433,16 @@
 		{E2171917-7CD6-4C03-BA98-7DF4B5FA42D6}.Release|x86.ActiveCfg = Release
 		{E2171917-7CD6-4C03-BA98-7DF4B5FA42D6}.Release|x86.Build.0 = Release
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|Any CPU.ActiveCfg = Debug|x86
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|x64.ActiveCfg = Debug|x86
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|x86.ActiveCfg = Debug|x86
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|x86.Build.0 = Debug|x86
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|Any CPU.ActiveCfg = Release|x86
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|Mixed Platforms.Build.0 = Release|x86
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|x64.ActiveCfg = Release|x86
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|x86.ActiveCfg = Release|x86
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|x86.Build.0 = Release|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
@@ -443,4 +458,5 @@
 		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA} = {622F8E95-CDFC-4B4E-BBA7-3EE4E47DB52A}
 		{E2171917-7CD6-4C03-BA98-7DF4B5FA42D6} = {622F8E95-CDFC-4B4E-BBA7-3EE4E47DB52A}
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5} = {622F8E95-CDFC-4B4E-BBA7-3EE4E47DB52A}
 		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC} = {E69A1E5F-63F7-493F-BBA2-163D6E321D44}
 		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE} = {E69A1E5F-63F7-493F-BBA2-163D6E321D44}
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive/3.3/Properties/AssemblyInfo.cs.frame	(revision 6702)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive/3.3/Properties/AssemblyInfo.cs.frame	(revision 6703)
@@ -1,3 +1,24 @@
-﻿using System.Reflection;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.HiveEngine/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.HiveEngine/3.3/Properties/AssemblyInfo.cs.frame	(revision 6702)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.HiveEngine/3.3/Properties/AssemblyInfo.cs.frame	(revision 6703)
@@ -27,5 +27,5 @@
 // set of attributes. Change these attribute values to modify the information
 // associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.HiveEngine-3.4")]
+[assembly: AssemblyTitle("HeuristicLab.HiveEngine")]
 [assembly: AssemblyDescription("")]
 [assembly: AssemblyConfiguration("")]
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Common/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Common/3.3/Properties/AssemblyInfo.cs.frame	(revision 6702)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Common/3.3/Properties/AssemblyInfo.cs.frame	(revision 6703)
@@ -1,3 +1,24 @@
-﻿using System.Reflection;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/Properties/AssemblyInfo.cs.frame	(revision 6702)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/Properties/AssemblyInfo.cs.frame	(revision 6703)
@@ -1,3 +1,24 @@
-﻿using System.Reflection;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/Properties/AssemblyInfo.cs.frame	(revision 6702)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/Properties/AssemblyInfo.cs.frame	(revision 6703)
@@ -1,3 +1,24 @@
-﻿using System.Reflection;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
Index: /branches/HeuristicLab.Hive-3.4/sources/MergeConfigs.cmd
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/MergeConfigs.cmd	(revision 6702)
+++ /branches/HeuristicLab.Hive-3.4/sources/MergeConfigs.cmd	(revision 6703)
@@ -1,9 +1,9 @@
-copy "%SolutionDir%HeuristicLab.Hive 3.4.dll.config" "%TargetDir%"
+copy "%SolutionDir%HeuristicLab.Hive 3.3.dll.config" "%TargetDir%"
 
-%SolutionDir%ConfigMerger "%SolutionDir%HeuristicLab.Services.Hive.DataAccess\3.4\app.config" "%TargetDir%HeuristicLab.Hive 3.4.dll.config"
-%SolutionDir%ConfigMerger "%SolutionDir%HeuristicLab.Clients.Hive\3.4\app.config" "%TargetDir%HeuristicLab.Hive 3.4.dll.config"
+%SolutionDir%ConfigMerger "%SolutionDir%HeuristicLab.Services.Hive.DataAccess\3.3\app.config" "%TargetDir%HeuristicLab.Hive 3.3.dll.config"
+%SolutionDir%ConfigMerger "%SolutionDir%HeuristicLab.Clients.Hive\3.3\app.config" "%TargetDir%HeuristicLab.Hive 3.3.dll.config"
 
 copy "%SolutionDir%HeuristicLab 3.3.exe.config" "%TargetDir%"
 
-%SolutionDir%ConfigMerger "%TargetDir%HeuristicLab.Hive 3.4.dll.config" "%TargetDir%HeuristicLab 3.3.exe.config"
+%SolutionDir%ConfigMerger "%TargetDir%HeuristicLab.Hive 3.3.dll.config" "%TargetDir%HeuristicLab 3.3.exe.config"
 copy "%TargetDir%HeuristicLab 3.3.exe.config" "%target%"
